package com.sun.corba.se.impl.logging;

import org.omg.CORBA.INV_OBJREF;
import org.omg.CORBA.BAD_PARAM;
import org.omg.CORBA.BAD_OPERATION;
import java.util.logging.Level;
import org.omg.CORBA.INTERNAL;
import org.omg.CORBA.CompletionStatus;
import com.sun.corba.se.spi.orb.ORB;
import java.util.logging.Logger;
import com.sun.corba.se.spi.logging.LogWrapperFactory;
import com.sun.corba.se.spi.logging.LogWrapperBase;

public class IORSystemException extends LogWrapperBase
{
    private static LogWrapperFactory factory;
    public static final int ORT_NOT_INITIALIZED = 1398080689;
    public static final int NULL_POA = 1398080690;
    public static final int BAD_MAGIC = 1398080691;
    public static final int STRINGIFY_WRITE_ERROR = 1398080692;
    public static final int TAGGED_PROFILE_TEMPLATE_FACTORY_NOT_FOUND = 1398080693;
    public static final int INVALID_JDK1_3_1_PATCH_LEVEL = 1398080694;
    public static final int GET_LOCAL_SERVANT_FAILURE = 1398080695;
    public static final int ADAPTER_ID_NOT_AVAILABLE = 1398080689;
    public static final int SERVER_ID_NOT_AVAILABLE = 1398080690;
    public static final int ORB_ID_NOT_AVAILABLE = 1398080691;
    public static final int OBJECT_ADAPTER_ID_NOT_AVAILABLE = 1398080692;
    public static final int BAD_OID_IN_IOR_TEMPLATE_LIST = 1398080689;
    public static final int INVALID_TAGGED_PROFILE = 1398080690;
    public static final int BAD_IIOP_ADDRESS_PORT = 1398080691;
    public static final int IOR_MUST_HAVE_IIOP_PROFILE = 1398080689;
    
    public IORSystemException(Logger logger) {
        super(logger);
    }
    
    public static IORSystemException get(ORB orb, String s) {
        return (IORSystemException)orb.getLogWrapper(s, "IOR", IORSystemException.factory);
    }
    
    public static IORSystemException get(String s) {
        return (IORSystemException)ORB.staticGetLogWrapper(s, "IOR", IORSystemException.factory);
    }
    
    public INTERNAL ortNotInitialized(CompletionStatus completionStatus, Throwable t) {
        INTERNAL internal = new INTERNAL(1398080689, completionStatus);
        if (t != null) {
            internal.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "IOR.ortNotInitialized", null, IORSystemException.class, internal);
            return internal;
        }
        return internal;
    }
    
    public INTERNAL ortNotInitialized(CompletionStatus completionStatus) {
        return this.ortNotInitialized(completionStatus, null);
    }
    
    public INTERNAL ortNotInitialized(Throwable t) {
        return this.ortNotInitialized(CompletionStatus.COMPLETED_NO, t);
    }
    
    public INTERNAL ortNotInitialized() {
        return this.ortNotInitialized(CompletionStatus.COMPLETED_NO, null);
    }
    
    public INTERNAL nullPoa(CompletionStatus completionStatus, Throwable t) {
        INTERNAL internal = new INTERNAL(1398080690, completionStatus);
        if (t != null) {
            internal.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "IOR.nullPoa", null, IORSystemException.class, internal);
            return internal;
        }
        return internal;
    }
    
    public INTERNAL nullPoa(CompletionStatus completionStatus) {
        return this.nullPoa(completionStatus, null);
    }
    
    public INTERNAL nullPoa(Throwable t) {
        return this.nullPoa(CompletionStatus.COMPLETED_NO, t);
    }
    
    public INTERNAL nullPoa() {
        return this.nullPoa(CompletionStatus.COMPLETED_NO, null);
    }
    
    public INTERNAL badMagic(CompletionStatus completionStatus, Throwable t, Object o) {
        INTERNAL internal = new INTERNAL(1398080691, completionStatus);
        if (t != null) {
            internal.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "IOR.badMagic", new Object[] { o }, IORSystemException.class, internal);
            return internal;
        }
        return internal;
    }
    
    public INTERNAL badMagic(CompletionStatus completionStatus, Object o) {
        return this.badMagic(completionStatus, null, o);
    }
    
    public INTERNAL badMagic(Throwable t, Object o) {
        return this.badMagic(CompletionStatus.COMPLETED_NO, t, o);
    }
    
    public INTERNAL badMagic(Object o) {
        return this.badMagic(CompletionStatus.COMPLETED_NO, null, o);
    }
    
    public INTERNAL stringifyWriteError(CompletionStatus completionStatus, Throwable t) {
        INTERNAL internal = new INTERNAL(1398080692, completionStatus);
        if (t != null) {
            internal.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "IOR.stringifyWriteError", null, IORSystemException.class, internal);
            return internal;
        }
        return internal;
    }
    
    public INTERNAL stringifyWriteError(CompletionStatus completionStatus) {
        return this.stringifyWriteError(completionStatus, null);
    }
    
    public INTERNAL stringifyWriteError(Throwable t) {
        return this.stringifyWriteError(CompletionStatus.COMPLETED_NO, t);
    }
    
    public INTERNAL stringifyWriteError() {
        return this.stringifyWriteError(CompletionStatus.COMPLETED_NO, null);
    }
    
    public INTERNAL taggedProfileTemplateFactoryNotFound(CompletionStatus completionStatus, Throwable t, Object o) {
        INTERNAL internal = new INTERNAL(1398080693, completionStatus);
        if (t != null) {
            internal.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "IOR.taggedProfileTemplateFactoryNotFound", new Object[] { o }, IORSystemException.class, internal);
            return internal;
        }
        return internal;
    }
    
    public INTERNAL taggedProfileTemplateFactoryNotFound(CompletionStatus completionStatus, Object o) {
        return this.taggedProfileTemplateFactoryNotFound(completionStatus, null, o);
    }
    
    public INTERNAL taggedProfileTemplateFactoryNotFound(Throwable t, Object o) {
        return this.taggedProfileTemplateFactoryNotFound(CompletionStatus.COMPLETED_NO, t, o);
    }
    
    public INTERNAL taggedProfileTemplateFactoryNotFound(Object o) {
        return this.taggedProfileTemplateFactoryNotFound(CompletionStatus.COMPLETED_NO, null, o);
    }
    
    public INTERNAL invalidJdk131PatchLevel(CompletionStatus completionStatus, Throwable t, Object o) {
        INTERNAL internal = new INTERNAL(1398080694, completionStatus);
        if (t != null) {
            internal.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "IOR.invalidJdk131PatchLevel", new Object[] { o }, IORSystemException.class, internal);
            return internal;
        }
        return internal;
    }
    
    public INTERNAL invalidJdk131PatchLevel(CompletionStatus completionStatus, Object o) {
        return this.invalidJdk131PatchLevel(completionStatus, null, o);
    }
    
    public INTERNAL invalidJdk131PatchLevel(Throwable t, Object o) {
        return this.invalidJdk131PatchLevel(CompletionStatus.COMPLETED_NO, t, o);
    }
    
    public INTERNAL invalidJdk131PatchLevel(Object o) {
        return this.invalidJdk131PatchLevel(CompletionStatus.COMPLETED_NO, null, o);
    }
    
    public INTERNAL getLocalServantFailure(CompletionStatus completionStatus, Throwable t, Object o) {
        INTERNAL internal = new INTERNAL(1398080695, completionStatus);
        if (t != null) {
            internal.initCause(t);
        }
        if (this.logger.isLoggable(Level.FINE)) {
            this.doLog(Level.FINE, "IOR.getLocalServantFailure", new Object[] { o }, IORSystemException.class, internal);
            return internal;
        }
        return internal;
    }
    
    public INTERNAL getLocalServantFailure(CompletionStatus completionStatus, Object o) {
        return this.getLocalServantFailure(completionStatus, null, o);
    }
    
    public INTERNAL getLocalServantFailure(Throwable t, Object o) {
        return this.getLocalServantFailure(CompletionStatus.COMPLETED_NO, t, o);
    }
    
    public INTERNAL getLocalServantFailure(Object o) {
        return this.getLocalServantFailure(CompletionStatus.COMPLETED_NO, null, o);
    }
    
    public BAD_OPERATION adapterIdNotAvailable(CompletionStatus completionStatus, Throwable t) {
        BAD_OPERATION bad_OPERATION = new BAD_OPERATION(1398080689, completionStatus);
        if (t != null) {
            bad_OPERATION.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "IOR.adapterIdNotAvailable", null, IORSystemException.class, bad_OPERATION);
            return bad_OPERATION;
        }
        return bad_OPERATION;
    }
    
    public BAD_OPERATION adapterIdNotAvailable(CompletionStatus completionStatus) {
        return this.adapterIdNotAvailable(completionStatus, null);
    }
    
    public BAD_OPERATION adapterIdNotAvailable(Throwable t) {
        return this.adapterIdNotAvailable(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_OPERATION adapterIdNotAvailable() {
        return this.adapterIdNotAvailable(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_OPERATION serverIdNotAvailable(CompletionStatus completionStatus, Throwable t) {
        BAD_OPERATION bad_OPERATION = new BAD_OPERATION(1398080690, completionStatus);
        if (t != null) {
            bad_OPERATION.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "IOR.serverIdNotAvailable", null, IORSystemException.class, bad_OPERATION);
            return bad_OPERATION;
        }
        return bad_OPERATION;
    }
    
    public BAD_OPERATION serverIdNotAvailable(CompletionStatus completionStatus) {
        return this.serverIdNotAvailable(completionStatus, null);
    }
    
    public BAD_OPERATION serverIdNotAvailable(Throwable t) {
        return this.serverIdNotAvailable(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_OPERATION serverIdNotAvailable() {
        return this.serverIdNotAvailable(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_OPERATION orbIdNotAvailable(CompletionStatus completionStatus, Throwable t) {
        BAD_OPERATION bad_OPERATION = new BAD_OPERATION(1398080691, completionStatus);
        if (t != null) {
            bad_OPERATION.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "IOR.orbIdNotAvailable", null, IORSystemException.class, bad_OPERATION);
            return bad_OPERATION;
        }
        return bad_OPERATION;
    }
    
    public BAD_OPERATION orbIdNotAvailable(CompletionStatus completionStatus) {
        return this.orbIdNotAvailable(completionStatus, null);
    }
    
    public BAD_OPERATION orbIdNotAvailable(Throwable t) {
        return this.orbIdNotAvailable(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_OPERATION orbIdNotAvailable() {
        return this.orbIdNotAvailable(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_OPERATION objectAdapterIdNotAvailable(CompletionStatus completionStatus, Throwable t) {
        BAD_OPERATION bad_OPERATION = new BAD_OPERATION(1398080692, completionStatus);
        if (t != null) {
            bad_OPERATION.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "IOR.objectAdapterIdNotAvailable", null, IORSystemException.class, bad_OPERATION);
            return bad_OPERATION;
        }
        return bad_OPERATION;
    }
    
    public BAD_OPERATION objectAdapterIdNotAvailable(CompletionStatus completionStatus) {
        return this.objectAdapterIdNotAvailable(completionStatus, null);
    }
    
    public BAD_OPERATION objectAdapterIdNotAvailable(Throwable t) {
        return this.objectAdapterIdNotAvailable(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_OPERATION objectAdapterIdNotAvailable() {
        return this.objectAdapterIdNotAvailable(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM badOidInIorTemplateList(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1398080689, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "IOR.badOidInIorTemplateList", null, IORSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM badOidInIorTemplateList(CompletionStatus completionStatus) {
        return this.badOidInIorTemplateList(completionStatus, null);
    }
    
    public BAD_PARAM badOidInIorTemplateList(Throwable t) {
        return this.badOidInIorTemplateList(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM badOidInIorTemplateList() {
        return this.badOidInIorTemplateList(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM invalidTaggedProfile(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1398080690, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "IOR.invalidTaggedProfile", null, IORSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM invalidTaggedProfile(CompletionStatus completionStatus) {
        return this.invalidTaggedProfile(completionStatus, null);
    }
    
    public BAD_PARAM invalidTaggedProfile(Throwable t) {
        return this.invalidTaggedProfile(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM invalidTaggedProfile() {
        return this.invalidTaggedProfile(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM badIiopAddressPort(CompletionStatus completionStatus, Throwable t, Object o) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1398080691, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "IOR.badIiopAddressPort", new Object[] { o }, IORSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM badIiopAddressPort(CompletionStatus completionStatus, Object o) {
        return this.badIiopAddressPort(completionStatus, null, o);
    }
    
    public BAD_PARAM badIiopAddressPort(Throwable t, Object o) {
        return this.badIiopAddressPort(CompletionStatus.COMPLETED_NO, t, o);
    }
    
    public BAD_PARAM badIiopAddressPort(Object o) {
        return this.badIiopAddressPort(CompletionStatus.COMPLETED_NO, null, o);
    }
    
    public INV_OBJREF iorMustHaveIiopProfile(CompletionStatus completionStatus, Throwable t) {
        INV_OBJREF inv_OBJREF = new INV_OBJREF(1398080689, completionStatus);
        if (t != null) {
            inv_OBJREF.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "IOR.iorMustHaveIiopProfile", null, IORSystemException.class, inv_OBJREF);
            return inv_OBJREF;
        }
        return inv_OBJREF;
    }
    
    public INV_OBJREF iorMustHaveIiopProfile(CompletionStatus completionStatus) {
        return this.iorMustHaveIiopProfile(completionStatus, null);
    }
    
    public INV_OBJREF iorMustHaveIiopProfile(Throwable t) {
        return this.iorMustHaveIiopProfile(CompletionStatus.COMPLETED_NO, t);
    }
    
    public INV_OBJREF iorMustHaveIiopProfile() {
        return this.iorMustHaveIiopProfile(CompletionStatus.COMPLETED_NO, null);
    }
    
    static {
        IORSystemException.factory = new LogWrapperFactory() {
            public LogWrapperBase create(Logger logger) {
                return new IORSystemException(logger);
            }
        };
    }
}
